PDA

Visualizza la versione completa : errore libsdl


psykopear
08-03-2008, 23:04
[psykopear@ArchLinux64 ~]$ cube
./cube_client: error while loading shared libraries: libSDL-1.2.so.0: wrong ELF class: ELFCLASS64
[psykopear@ArchLinux64 ~]$

Cos'?

bereshit
08-03-2008, 23:18
ma il pogramma compilato per il 64 bit?

andy caps
08-03-2008, 23:57
controlla dove libSDL-1.2-so.0 e controlla a cosa linkata

magari basta rifare un link come qui http://ubuntuforums.org/showthread.php?t=587726

Edit:
I've managed to get this going, i installed the 3369 patch then tried running the original ut2004-bin (not the one from the patch) it complained that libSDL-1.2.so.0 was wrong ELF class: ELFCLASS64 so i simply created a local link to /usr/lib32/libSDL-1.2-so.0 and voil it all worked perfectly.

Hope this helps others with the same problem.

Loading